Passer au contenu principal
GET
/
crm-object-schemas
/
2026-03
/
schemas
Récupérer tous les schémas d'objets personnalisés.
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "allowsSensitiveProperties": true,
      "archived": true,
      "associations": [
        {
          "fromObjectTypeId": "<string>",
          "id": "<string>",
          "toObjectTypeId": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "fullyQualifiedName": "<string>",
      "id": "<string>",
      "labels": {
        "plural": "<string>",
        "singular": "<string>"
      },
      "name": "<string>",
      "objectTypeId": "<string>",
      "properties": [
        {
          "description": "<string>",
          "fieldType": "<string>",
          "groupName": "<string>",
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "hidden": true,
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "<string>",
          "archived": true,
          "archivedAt": "2023-11-07T05:31:56Z",
          "calculated": true,
          "calculationFormula": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdUserId": "<string>",
          "currencyPropertyName": "<string>",
          "dataSensitivity": "highly_sensitive",
          "dateDisplayHint": "absolute",
          "displayOrder": 123,
          "externalOptions": true,
          "formField": true,
          "hasUniqueValue": true,
          "hidden": false,
          "hubspotDefined": true,
          "modificationMetadata": {
            "archivable": true,
            "readOnlyDefinition": true,
            "readOnlyValue": true,
            "readOnlyOptions": true
          },
          "numberDisplayHint": "currency",
          "referencedObjectType": "<string>",
          "sensitiveDataCategories": [
            "<string>"
          ],
          "showCurrencySymbol": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedUserId": "<string>"
        }
      ],
      "requiredProperties": [
        "<string>"
      ],
      "searchableProperties": [
        "<string>"
      ],
      "secondaryDisplayProperties": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "createdByUserId": 123,
      "description": "<string>",
      "primaryDisplayProperty": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedByUserId": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

archived
boolean
défaut:false

S'il faut renvoyer uniquement les résultats qui ont été archivés.

includeAssociationDefinitions
boolean
défaut:true
includeAuditMetadata
boolean
défaut:true
includePropertyDefinitions
boolean
défaut:true

Réponse

successful operation

results
object[]
requis
Last modified on April 13, 2026